DROP TABLE IF EXISTS gb_default;
CREATE TABLE gb_default (
  de_subject varchar(255) NOT NULL default '',
  de_admin varchar(20) NOT NULL default '',
  de_use_cookie tinyint(4) NOT NULL default '0',
  de_cookie_dir varchar(255) NOT NULL default '',
  de_cookie_domain varchar(255) NOT NULL default '',
  de_use_point tinyint(4) NOT NULL default '0',
  de_use_sendmail tinyint(4) NOT NULL default '0',
  de_login_point int(11) NOT NULL default '0',
  de_day_max_point int(11) NOT NULL default '0',
  de_read_point int(11) NOT NULL default '0',
  de_write_point int(11) NOT NULL default '0',
  de_comment_point int(11) NOT NULL default '0',
  de_search_bgcolor varchar(255) NOT NULL default '',
  de_search_color varchar(255) NOT NULL default '',
  de_write_pages int(11) NOT NULL default '0',
  de_return_url varchar(255) NOT NULL default '',
  de_link_target varchar(255) NOT NULL default '',
  de_include_head varchar(255) NOT NULL default '',
  de_include_tail varchar(255) NOT NULL default '',
  de_content_head text NOT NULL,
  de_content_tail text NOT NULL,
  de_delay_sec int(11) NOT NULL default '0',
  de_filter text NOT NULL,
  de_intercept_ip text NOT NULL,
  de_use_email tinyint(4) NOT NULL default '0',
  de_use_homepage tinyint(4) NOT NULL default '0',
  de_use_jumin tinyint(4) NOT NULL default '0',
  de_use_tel tinyint(4) NOT NULL default '0',
  de_use_hp tinyint(4) NOT NULL default '0',
  de_use_addr tinyint(4) NOT NULL default '0',
  de_use_sex tinyint(4) NOT NULL default '0',
  de_use_birth tinyint(4) NOT NULL default '0',
  de_use_married tinyint(4) NOT NULL default '0',
  de_use_wedding tinyint(4) NOT NULL default '0',
  de_use_signature tinyint(4) NOT NULL default '0',
  de_register_level tinyint(4) NOT NULL default '0',
  de_register_point int(11) NOT NULL default '0',
  de_icon_level tinyint(4) NOT NULL default '0',
  de_use_recommend tinyint(4) NOT NULL default '0',
  de_recommend_point int(11) NOT NULL default '0',
  de_leave_day int(11) NOT NULL default '0',
  de_password_q text NOT NULL
) TYPE=MyISAM;

INSERT INTO gb_default VALUES ('״', '', 1, '/', '', 1, 1, 50, 1000, 1, 10, 2, 'yellow', 'red', 5, '', '_new', '', '', '', '', 5, ',,,,,,,Ϲ,â,â,â,', '', 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 500, 2, 1, 50, 30, 'Ҿƹ ?,ҸӴ ?,Ҿƹ ?,ҸӴ ?,ƹ ,Ӵ ?,ʵб 6г⶧  ?,   ?, ϴ ?');


DROP TABLE IF EXISTS gb_group;
CREATE TABLE gb_group (
  gr_id varchar(5) NOT NULL default '',
  gr_subject varchar(255) NOT NULL default '',
  gr_admin varchar(20) NOT NULL default '',
  gr_include_head varchar(255) NOT NULL default '',
  gr_include_tail varchar(255) NOT NULL default '',
  gr_content_head text NOT NULL,
  gr_content_tail text NOT NULL,
  PRIMARY KEY  (gr_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS gb_board;
CREATE TABLE gb_board (
  bo_table varchar(10) NOT NULL default '',
  gr_id varchar(5) NOT NULL default '',
  bo_subject varchar(255) NOT NULL default '',
  bo_admin varchar(20) NOT NULL default '',
  bo_list_level tinyint(4) NOT NULL default '0',
  bo_read_level tinyint(4) NOT NULL default '0',
  bo_write_level tinyint(4) NOT NULL default '0',
  bo_reply_level tinyint(4) NOT NULL default '0',
  bo_comment_level tinyint(4) NOT NULL default '0',
  bo_upload_level tinyint(4) NOT NULL default '0',
  bo_notice_level tinyint(4) NOT NULL default '0',
  bo_html_level tinyint(4) NOT NULL default '0',
  bo_link_level tinyint(4) NOT NULL default '0',
  bo_use_category tinyint(4) NOT NULL default '0',
  bo_use_secret tinyint(4) NOT NULL default '0',
  bo_use_comment tinyint(4) NOT NULL default '0',
  bo_use_good tinyint(4) NOT NULL default '0',
  bo_use_nogood tinyint(4) NOT NULL default '0',
  bo_use_signature tinyint(4) NOT NULL default '0',
  bo_use_listview tinyint(4) NOT NULL default '0',
  bo_table_width int(11) NOT NULL default '0',
  bo_subject_len int(11) NOT NULL default '0',
  bo_page_rows int(11) NOT NULL default '0',
  bo_new int(11) NOT NULL default '0',
  bo_hot int(11) NOT NULL default '0',
  bo_battle int(11) NOT NULL default '0',
  bo_skin varchar(255) NOT NULL default '',
  bo_include_head varchar(255) NOT NULL default '',
  bo_include_tail varchar(255) NOT NULL default '',
  bo_content_head text NOT NULL,
  bo_content_tail text NOT NULL,
  bo_insert_content text NOT NULL,
  bo_total_count int(11) NOT NULL default '0',
  bo_gallery_width int(11) NOT NULL default '0',
  PRIMARY KEY  (bo_table)
) TYPE=MyISAM;


DROP TABLE IF EXISTS gb_login;
CREATE TABLE gb_login (
  lo_ip varchar(15) NOT NULL default '',
  mb_id varchar(20) NOT NULL default '',
  lo_datetime datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (lo_ip),
  KEY lo_datetime (lo_datetime,mb_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS gb_member;
CREATE TABLE gb_member (
  mb_id varchar(20) NOT NULL default '',
  gr_id varchar(5) NOT NULL default '',
  mb_passwd varchar(16) NOT NULL default '',
  mb_name varchar(20) NOT NULL default '',
  mb_email varchar(100) NOT NULL default '',
  mb_homepage varchar(255) NOT NULL default '',
  mb_passwd_q varchar(255) NOT NULL default '',
  mb_passwd_a varchar(255) NOT NULL default '',
  mb_level tinyint(4) NOT NULL default '0',
  mb_jumin varchar(16) NOT NULL default '',
  mb_tel varchar(20) NOT NULL default '',
  mb_hp varchar(20) NOT NULL default '',
  mb_zip1 char(3) NOT NULL default '',
  mb_zip2 char(3) NOT NULL default '',
  mb_addr1 varchar(100) NOT NULL default '',
  mb_addr2 varchar(100) NOT NULL default '',
  mb_sex char(1) NOT NULL default '',
  mb_birth varchar(8) NOT NULL default '',
  mb_married char(1) NOT NULL default '',
  mb_wedding varchar(8) NOT NULL default '',
  mb_signature text NOT NULL,
  mb_recommend varchar(20) NOT NULL default '',
  mb_icon varchar(255) NOT NULL default '',
  mb_point int(11) NOT NULL default '0',
  mb_today_point int(11) NOT NULL default '0',
  mb_today_login datetime NOT NULL default '0000-00-00 00:00:00',
  mb_login_ip varchar(15) NOT NULL default '',
  mb_datetime datetime NOT NULL default '0000-00-00 00:00:00',
  mb_ip varchar(15) NOT NULL default '',
  mb_leave_date varchar(8) NOT NULL default '',
  mb_intercept_date varchar(8) NOT NULL default '',
  mb_memo text NOT NULL,
  PRIMARY KEY  (mb_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS gb_memo;
CREATE TABLE gb_memo (
  me_id int(11) NOT NULL auto_increment,
  me_recv_mb_id varchar(20) NOT NULL default '',
  me_send_mb_id varchar(20) NOT NULL default '',
  me_send_datetime datetime NOT NULL default '0000-00-00 00:00:00',
  me_read_datetime datetime NOT NULL default '0000-00-00 00:00:00',
  me_memo text NOT NULL,
  PRIMARY KEY  (me_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS gb_vote;
CREATE TABLE gb_vote (
  vo_id int(11) NOT NULL auto_increment,
  vo_subject varchar(255) NOT NULL default '',
  vo_vote1 varchar(255) NOT NULL default '',
  vo_vote2 varchar(255) NOT NULL default '',
  vo_vote3 varchar(255) NOT NULL default '',
  vo_vote4 varchar(255) NOT NULL default '',
  vo_vote5 varchar(255) NOT NULL default '',
  vo_vote6 varchar(255) NOT NULL default '',
  vo_vote7 varchar(255) NOT NULL default '',
  vo_vote8 varchar(255) NOT NULL default '',
  vo_vote9 varchar(255) NOT NULL default '',
  vo_cnt1 int(11) NOT NULL default '0',
  vo_cnt2 int(11) NOT NULL default '0',
  vo_cnt3 int(11) NOT NULL default '0',
  vo_cnt4 int(11) NOT NULL default '0',
  vo_cnt5 int(11) NOT NULL default '0',
  vo_cnt6 int(11) NOT NULL default '0',
  vo_cnt7 int(11) NOT NULL default '0',
  vo_cnt8 int(11) NOT NULL default '0',
  vo_cnt9 int(11) NOT NULL default '0',
  PRIMARY KEY  (vo_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS gb_zip;
CREATE TABLE gb_zip (
  zp_id int(11) NOT NULL default '0',
  zp_code varchar(6) NOT NULL default '',
  zp_sido varchar(4) NOT NULL default '',
  zp_gugun varchar(20) NOT NULL default '',
  zp_dong varchar(50) NOT NULL default '',
  zp_bunji varchar(20) NOT NULL default '',
  PRIMARY KEY  (zp_id),
  KEY zp_code (zp_code)
) TYPE=MyISAM;
